package user

import (
	"context"

	"github.com/nose7en/ToyBoomServer/common"
	"github.com/nose7en/ToyBoomServer/dao"
	"github.com/nose7en/ToyBoomServer/defs"
	"github.com/nose7en/ToyBoomServer/models"
)

func CreateUser(c context.Context, req *defs.CommonRequest) (*defs.CommonResponse, error) {
	userInfo := common.GetUser(c)
	newUser := &models.User{}
	newUser.FillWithUserInfo(userInfo)

	if err := dao.NewMutation().CreateUser(newUser); err != nil {
		return nil, err
	}

	return &defs.CommonResponse{
		Status: &defs.Status{Code: defs.RespCode_SUCCESS, Message: defs.RespMessage_SUCCESS},
	}, nil
}
