package api

import (
	"github.com/gin-gonic/gin"
)

type APIHandler struct {
	router *gin.Engine
	addr   []string
}

func NewAPIHandler(addr ...string) *APIHandler {
	return &APIHandler{
		addr: addr,
	}
}

func (h *APIHandler) Init(r *gin.Engine) {
	h.router = r
}

func (h *APIHandler) Run() {
	h.router.Run(h.addr...)
}

func (h *APIHandler) GetRouter() *gin.Engine {
	return h.router
}
